Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Gemini » GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2(org.apache.jasper not resolving in Felix 4.2.1)
GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2 [message #1076157] Tue, 30 July 2013 16:35 Go to next message
Robert Breitling is currently offline Robert Breitling
Messages: 4
Registered: July 2013
Junior Member
Hello,

I am trying to use GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2 with Felix 4.2.1. I can install the org.apache.jasper bundle but it will not resolve. I take the exact same bundles to Equinox and it all works. It this a known problem with Felix?

TIA,

Bob
Re: GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2 [message #1076301 is a reply to message #1076157] Wed, 31 July 2013 02:08 Go to previous messageGo to next message
Violeta Georgieva is currently offline Violeta Georgieva
Messages: 236
Registered: October 2010
Senior Member
Robert Breitling wrote on Tue, 30 July 2013 23:35
I can install the org.apache.jasper bundle but it will not resolve.


Can you provide here the resolution problem that you faced?

Regards
Violeta
Re: GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2 [message #1076490 is a reply to message #1076301] Wed, 31 July 2013 09:23 Go to previous messageGo to next message
Robert Breitling is currently offline Robert Breitling
Messages: 4
Registered: July 2013
Junior Member
Violeta,

I am sorry, but I don't understand your question. I am trying to deploy GeminiWeb and GeminiBlueprint into Felix and the JSP compiler, jasper, which is a fragment to the catalina bundle will not resolve. When you do the resolve command from the gogo console it just says not all the bundles resolved. I broke my SLF4J deployment some how so I don't have log4j working right now so I'm not even sure if the resolve command would output something to the log file if logging was working. So as an experiment I tried another OSGi container, Equinox, to see if it behaved the same way, but it worked in Equinox. The jasper fragment resolved just fine. All these bundles are just part of the packages I downloaded from the Gemini web site. So I was thinking this should all just work nicely in just about any OSGi container. But, alas that is not the case.... Thanks for reading and replying to my original post though...

Bob
Re: GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2 [message #1076568 is a reply to message #1076490] Wed, 31 July 2013 11:31 Go to previous messageGo to next message
Violeta Georgieva is currently offline Violeta Georgieva
Messages: 236
Registered: October 2010
Senior Member
I just tried it and everything works as expected

  ID|State      |Level|Name
   0|Active     |    0|System Bundle (4.2.1)
   1|Active     |    1|Apache Felix Bundle Repository (1.6.6)
   2|Active     |    1|Apache Felix Gogo Command (0.12.0)
   3|Active     |    1|Apache Felix Gogo Runtime (0.10.0)
   4|Active     |    1|Apache Felix Gogo Shell (0.10.0)
   6|Active     |    1|javax.annotation Bundle (1.1.0.v201108011116)
   7|Active     |    1|Java Activation API (1.1.1)
   8|Active     |    1|Java EJB API (3.1.1.v201204261316)
   9|Active     |    1|Javax Expression Language Bundle (2.2.0.v201108011116)
  10|Active     |    1|Javax Mail Plug-in (1.4.0.v201005080615)
  11|Active     |    1|Java Persistence API 2.0 (2.0.4.v201112161009)
  12|Active     |    1|JSP API Bundle (2.2.0.v201112011158)
  13|Active     |    1|Servlet API Bundle (3.0.0.v201103241009)
  14|Active     |    1|Java Transaction API (1.1.0.v201205091237)
  15|Active     |    1|JAX-RPC (1.1.0.v201005080400)
  16|Active     |    1|SAAJ (1.3.0.v201105210645)
  17|Resolved   |    1|Apache Tomcat Catalina HA (7.0.35.v201302131607)
  18|Resolved   |    1|Apache Tomcat Catalina Tribes (7.0.35.v201302140645)
  19|Active     |    1|Apache Tomcat Catalina (7.0.35.v201302131125)
  20|Resolved   |    1|Apache Tomcat Coyote (7.0.35.v201302140645)
  21|Active     |    1|Apache EL (7.0.35.v201302120746)
  22|Resolved   |    1|Apache Jasper JSP Support (7.0.35.v201302161127)
  23|Active     |    1|Apache Java Util Logging Extras (7.0.35.v201302120746)
  24|Active     |    1|Apache Tomcat API (7.0.35.v201302120746)
  25|Resolved   |    1|Apache Tomcat Util (7.0.35.v201302140645)
  26|Active     |    1|Eclipse Compiler for Java(TM) (3.8.0.I20120518-2145)
  27|Active     |    1|Common Utility Code (3.6.0.RELEASE)
  28|Active     |    1|IO Utility Code (3.6.0.RELEASE)
  29|Active     |    1|Mathematical Utility Code (3.6.0.RELEASE)
  30|Active     |    1|OSGi Manifest Utility Code (3.6.0.RELEASE)
  31|Active     |    1|OSGi Utility Code (3.6.0.RELEASE)
  32|Active     |    1|Java Manifest Parser (3.6.0.RELEASE)
  33|Active     |    1|SLF4J API (1.7.2.v20121108-1250)
  34|Resolved   |    1|SLF4J NOP Binding (1.7.2.v201212060727)
  35|Active     |    1|Gemini Web Core (2.2.2.RELEASE)
  36|Active     |    1|Gemini Web Extender (2.2.2.RELEASE)
  37|Active     |    1|Gemini Web Tomcat Bootstrap (2.2.2.RELEASE)
Re: GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2 [message #1076611 is a reply to message #1076568] Wed, 31 July 2013 12:37 Go to previous messageGo to next message
Robert Breitling is currently offline Robert Breitling
Messages: 4
Registered: July 2013
Junior Member
Violeta,

I found my problem. For some forgotten reason I have always used the Felix FileInstall bundle to install bundles (probably to organize my bundles or something to that end). When I ditched it (because you where not using it) the jasper fragment resolved! Dam!

(I wonder if my version of FileInstall does not support fragments...that thought just crossed my mind, anyway...something to investigate...)

Thanks for support and patience with new users. I can start to make some progress again! You are the best!

Bob
Re: GeminiBlueprint 1.0.2 and GeminiWeb 2.2.2 [message #1076650 is a reply to message #1076611] Wed, 31 July 2013 13:41 Go to previous message
Robert Breitling is currently offline Robert Breitling
Messages: 4
Registered: July 2013
Junior Member
I little more information. It turns out the FileInstall bundle can not deal with the this jar file: org.eclipse.jdt.core.compiler.batch-3.8.0.I20120518-2145.jar. It's not a bundle but works if its in the root directory of my bundle path (if that makes sense). It must patch the jasper compiler in some way and is definitely required.

Interestingly, Equinox does not suffer from this problem. In my tests, I had my bundles organized using those same sub-directories as I was using with the FileInstall bundle with Felix, but Equinox loaded that jar just fine from the sub-directory.

I neat little difference between the two frameworks!

Bob

[Updated on: Wed, 31 July 2013 14:07]

Report message to a moderator

Previous Topic:WAR Deploy
Next Topic:ATTN: Gemini Blueprint subproject about to be shut down!
Goto Forum:
  


Current Time: Mon Sep 01 07:26:28 EDT 2014

Powered by FUDForum. Page generated in 0.03195 seconds